--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

                        _____   _   __  __ _____ _____
                       / ____| | | |  \/  |_   _/ ____|
                      | |  __  |_| | \  / | | || |
                      | | |_ |     | |\/| | | || |
                      | |__| |     | |  | |_| || |____
                       \_____|     |_|  |_|_____\_____|

                      GREYC's Magic for Image Computing

                             ( https://gmic.eu )

                                    2.4.5

--------------------------------------------------------------------------------

# In a nutshell
#---------------

 G'MIC is a full-featured open-source framework for image processing, distributed
 under the CeCILL free software licenses (LGPL-like and/or GPL-compatible). It
 provides several user interfaces to convert / manipulate / filter / visualize
 generic image datasets, ranging from 1D scalar signals to 3D+t sequences of
 multi-spectral volumetric images, hence including 2D color images.

 G'MIC user interfaces are:

 1 - 'gmic', a command-line tool to use the G'MIC image processing features from
     a shell. In this setting, G'MIC may be seen as a friendly companion to the
     ImageMagick or GraphicsMagick software suites.

 2 - 'libgmic', a small, portable, thread-safe and multi-threaded, C++ image
     processing library to be linked to third-party applications. Its simple API
     allows programmers to add all G'MIC features in their own software without
     much efforts (a C API is available as well).
[
 3 - 'G'MIC-Qt', a plug-in to bring G'MIC capabilities to the image retouching and
     painting software GIMP and Krita. More than 500 filters are already available,
     sorted by category (Artistic, Black & white, Colors, Contours, Deformations,
     Degradations, Details, Film emulation, Frames, Layers, Light & shadows, Patterns,
     Rendering, Repair, Sequences, etc.).

 4 - G'MIC Online, a web service to allow users applying image processing algorithms
     on their images, directly from a web browser.

 5 - 'ZArt', a Qt-based interface for real-time processing of video streaming coming
     from webcams or video files.

 G'MIC is an open framework: the default script language can be extended with
 custom G'MIC-written commands, defining thus new image available filters or
 effects. By the way, it already contains a substantial set of pre-defined image
 processing algorithms and pipelines (more than 1000).

 G'MIC has been designed with portability in mind, and runs on different
 platforms (Windows, Unix, MacOSX).
 Since 2008, it has been developed in the Image Team of the
 GREYC laboratory, in Caen/France, by permanent researchers working in the field
 of image processing on a daily basis.

# Project Managers and main developers
#-------------------------------------

  David Tschumperlé  ( https://tschumperle.users.greyc.fr/ )
  Sébastien Fourey   ( https://foureys.users.greyc.fr/ )

  A complete list of contributors is available on the project web page:

                           https://gmic.eu

# Institution
#-------------

 GREYC Image / CNRS UMR 6072 / FRANCE

 Team web page: https://www.greyc.fr/image

# License
#---------

 The C++ source code of G'MIC is distributed partly under the CeCILL-C v.1.0
 (LGPL-like) and CeCILL v.2.1 (GPL-compatible) licenses (see file 'COPYING').
 These licenses ( http://www.cecill.info/index.en.html ) have been
 created under the supervision of the three biggest research institutions on
 computer sciences in France:

   - CNRS  ( http://www.cnrs.fr/ )
   - CEA   ( http://www.cea.fr/ )
   - INRIA ( http://www.inria.fr/ )

# More information online
#-------------------------

  - Home page : https://gmic.eu
  - G'MIC Online Service : https://gmicol.greyc.fr

  - Google+ group: https://plus.google.com/117441237982283011318/posts
  - Pixls.us forum: https://discuss.pixls.us/c/software/gmic
  - Flickr forum: http://www.flickr.com/groups/gmic/discuss
  - GimpChat forum: http://gimpchat.com/viewforum.php?f=28

  - Tutorial page: https://gmic.eu/tutorial
  - Reference documentation: https://gmic.eu/reference.shtml
  - G'MIC wiki: https://github.com/dtschump/gmic-community/wiki

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------